Create a runtime field

Server: https://{kibana_url}
  • POST /api/data_views/data_view/{viewId}/runtime_field
  • POST /s/{space_id}/api/data_views/data_view/{viewId}/runtime_field

Refer to Spaces for more information.

Create a runtime field for a data view. Runtime fields are computed at query time using a Painless script and do not require reindexing. If no script is provided, the runtime field returns the corresponding value from the document _source.

Path Parameters

viewId string required

An identifier for the data view.

Response